package com.liang.service;

import com.liang.entity.PrjGwtask;
import com.liang.entity.PrjProject;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * 付款计划(PrjGwtask)表服务接口
 *
 * @author makejava
 * @since 2023-07-09 13:13:10
 */
public interface PrjGwtaskService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjGwtask queryById(Integer id);

    /**
     * 分页查询
     *
     * @param prjGwtask   筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<PrjGwtask> queryByPage(PrjGwtask prjGwtask, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param prjGwtask 实例对象
     * @return 实例对象
     */
    PrjGwtask insert(PrjGwtask prjGwtask);

    /**
     * 修改数据
     *
     * @param prjGwtask 实例对象
     * @return 实例对象
     */
    PrjGwtask update(PrjGwtask prjGwtask);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    List<PrjGwtask> getGwTaslList(Map map);
}
